/* This file is part of `checkBox'
 * Copyright (c) 1995 David Deaven
 *
 * In the following, "you" and "You" refer to any entity other than 
 * the Microsoft corporation and its subsidiaries.  All rights are
 * reserved by the author in connection with Microsoft and its
 * subsidiaries.  The Microsoft Network is explicity denied the right
 * to copy, reproduce, or transmit this software.
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Author: deaven $
 * $Id: CheckBoxP.h,v 1.1 1996/07/12 08:38:59 deaven Exp deaven $
 */

#ifndef _CHECKBOXP_H_
#define _CHECKBOXP_H_

#include <X11/IntrinsicP.h>
#include <X11/CoreP.h>
#include "CheckBox.h"

typedef struct {
/* public resources */
	Boolean value;		/* the current setting */
	Pixel foreground;
	int lineWidth;

/* private components */
	Dimension width;
	Dimension height;
	GC gc;

} CheckBoxPart;

typedef struct CheckBoxRec_s {
	CorePart core;
	CheckBoxPart checkBox;
} CheckBoxRec;

typedef struct CheckBoxClassPart_s {
	int empty;
} CheckBoxClassPart;

typedef struct CheckBoxClassRec_s {
	CoreClassPart core_class;	
	CheckBoxClassPart checkBox_class;
} CheckBoxClassRec;

extern CheckBoxClassRec checkBoxClassRec;

#endif /* _CHECKBOXP_H_ */
